MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027513Community[OCCT] OCCT:Configurationpublic2016-05-18 14:542016-12-09 16:37
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027513: Configuration, CMake - Option INSTALL_TBB does not install tbbmalloc.dll
DescriptionWhen creating the Install Directory with CMake using the Option INSTALL_TBB, tbbmalloc.dll isn't copied there. Therefore, I cannot start Draw. After copying the file manually, I can start Draw.

tbb.dll is copied, but tbbmalloc.dll is not.
My build environment was win32, vc10, Release using CMake 3.5.2 on Windows 10.
But I think the problem is general.
Steps To Reproduce• Generate, build and install occt with installation of tbb
• Try to run draw.bat

Result: all is OK, no error about missing tbbmalloc.dll
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0054648)
git (administrator)
2016-06-02 17:42

Branch CR27513 has been created by ski.

SHA-1: eff3533d819d3ce2a0a1303d1d615f893d88a688


Detailed log of new commits:

Author: ski
Date: Thu Jun 2 17:41:17 2016 +0300

    0027513: Configuration, CMake - Option INSTALL_TBB does not install tbbmalloc.dll
    
    Installation of tbbmalloc.dll was corrected.
(0054649)
ski (developer)
2016-06-02 17:44

Dear apn,

please review branch CR27513
(0054683)
apn (administrator)
2016-06-03 13:51

Branch CR27513 was reviewed. Installation of tbbmalloc.dll was tested.
Testing procedure is not required.
(0055152)
git (administrator)
2016-06-17 12:14

Branch CR27513 has been deleted by inv.

SHA-1: eff3533d819d3ce2a0a1303d1d615f893d88a688

- Related Changesets
occt: master 1ec75a48
Timestamp: 2016-06-02 14:41:17
Author: ski
Committer: bugmaster
Details ] Diff ]
0027513: Configuration, CMake - Option INSTALL_TBB does not install tbbmalloc.dll

Installation of tbbmalloc.dll was corrected.
mod - adm/cmake/tbb.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-18 14:54 Timo New Issue
2016-05-18 14:54 Timo Assigned To => bugmaster
2016-05-25 10:30 bugmaster Assigned To bugmaster => ski
2016-05-25 10:30 bugmaster Status new => assigned
2016-06-02 17:42 git Note Added: 0054648
2016-06-02 17:44 ski Note Added: 0054649
2016-06-02 17:44 ski Assigned To ski => apn
2016-06-02 17:44 ski Status assigned => resolved
2016-06-02 17:44 ski Steps to Reproduce Updated View Revisions
2016-06-03 13:51 apn Note Added: 0054683
2016-06-03 13:52 apn Test case number => Not needed
2016-06-03 13:52 apn Assigned To apn => bugmaster
2016-06-03 13:52 apn Status resolved => reviewed
2016-06-07 11:45 bugmaster Status reviewed => tested
2016-06-10 13:12 bugmaster Changeset attached => occt master 1ec75a48
2016-06-10 13:12 bugmaster Status tested => verified
2016-06-10 13:12 bugmaster Resolution open => fixed
2016-06-17 12:14 git Note Added: 0055152
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker